Issue 21387

Summary: Specify separator characters BETWEEN numbers in outline numbering
Product: Writer Reporter: yourcat <zoltan>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: guido.pinkernell, issues, kamataki, nadalizadeh, olaf.stetzer
Version: OOo 1.1 RC5Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description yourcat 2003-10-18 02:36:40 UTC
In outline numbering I assign levels to headings. When I apply a heading
style on a paragraph, the relevant outline numbering for the relevant level
will be inserted in front of my text. I would like to specify the format of
the outline number. Using Tools->Outline numbering I can specify what level
numbers I want to see, what number style. I can also specify arbitrary text
before the numbers and after the numbers.
However, I can not specify the separator between the numbers.

If I am at Heading 3 (assigned to level 3) I can specify that I want to see
all level numbers, that I want level 1 to be shown as roman numeral, level 2 as
arabic and level 3 as alphabetical, with a leading text of "<" and trailing
text of ">". Thus I will get something like this:

<III.2.f> Third chapter second subchapter sixth subsubchapter

But it is not possible to

- specify arbitrary text as a separator between the numbers. It is always
  a dot. It is not possible to create something like this:
  
  <III-2(f)> Third chapter second subchapter sixth subsubchapter

- change the order of the numbers, say reverse them like this:

  <f.2.III> Third chapter second subchapter sixth subsubchapter

What would be a nice way of doing it is if I could specify an arbitrary text
for level n outline numbering and special codes within the text would denote
the various level numbers and their preferred style. Like, for the previous
example I would write

<[1:roman]-[2:arab]([3:alpha])>

or, if I want to reverse the order of the numbering and use the conventionsl
'.' for separator, as in the second example:

<[3:alpha].[2:arab].[1:roman]>

where [n:xxxx] represents that I want the number for the n-th level in
xxxx format inserted there.
 
Naturally some more appealing format and GUI to insert these
magic codes would be preferred, much like it is done in MS Word'97.

Separators other than the dot are frequently used in legal, religious
and business documents (and for the very reason, it would be very
good if special characters could be inserted too!).
 
The above specification would give the user complete flexibility 
and control over the format of the outline numbering.

Zoltan
Comment 1 mci 2003-10-22 09:54:11 UTC
reassigned to bh
Comment 2 guido.pinkernell 2004-02-12 16:30:06 UTC
.
Comment 3 ace_dent 2008-05-16 02:55:54 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 michael.ruess 2009-03-05 07:47:45 UTC
Changing summary and reassigning to FL.
Comment 5 michael.ruess 2009-03-05 07:48:17 UTC
*** Issue 99877 has been marked as a duplicate of this issue. ***
Comment 6 michael.ruess 2009-03-05 07:49:10 UTC
*** Issue 94794 has been marked as a duplicate of this issue. ***
Comment 7 mafshar 2009-03-05 09:11:03 UTC
To whom it may concern

I have defined an outline numbering for my document from "Tools >> Outline
Numbering...". If I set the BEFORE or AFTER separator of Level 1, 2, 3, ...
(even independently)
to "-" the result will be like this:
{if only set the BEFORE separator to "-"}
-1 Heading 1
-1.1 Heading 2
-1.1.1 Heading 3

{if only set the AFTER separator to "-"}
1- Heading 1
1.1- Heading 2
1.1.1- Heading 3

{if set both BEFORE and AFTER separator to "-"}
-1- Heading 1
-1.1- Heading 2
-1.1.1- Heading 3

so as you see the problem was not solved and is still open. I want to see this:
1 Heading 1
1-1 Heading 2
1-1-1 Heading 3

I will be really grateful if you add this feature to OpenOffice.org, cause this
is the only problem i have with OpenOffice.org

Regards
Mohammad Afshar
Comment 8 mafshar 2009-03-05 09:18:22 UTC
i forgot to say that i use the lastest version of OpenOffice.org
(OOo_3.0.1_Win32Intel_install_wJRE_en-US).
Even i tested the lateset developer version
(OOo-Dev_OOO310_m3_Win32Intel_install_en-US). both of them have the mentioned
problem.
My OS is Windows XP.

Regards
Mohammad Afshar
Comment 9 olaf_stetzer 2009-05-13 14:22:48 UTC
I have recently come across a similar problem. I a curious if this is really
"only" an enhancement or really a bug - or screwed logic behind the numbering.

At the moment it is impossible to get something like this:
1.
1.1.
1.1.(a)
To get this the most logical thing would be to add BEFORE ( and AFTER ) at the
third level. But the result is:
(1.1.a)
My question is: Is it really logical that at any level greater than 1 stuff that
should be added BEFORE is actually insterted before all other levels entries? I
have played a bit more. If I add a BEFORE - at level two and leave the ( at
level three I get this:
1.
-1.1.
(1.1.a)
So the - is replaced by ( at the third level. I am just curious if this is
really the intended behaviour? More logial to me would be
BL1 L1 AL1
BL1 L1 AL1 BL2 L2 AL2
BL1 L1 AL1 BL2 L2 AL2 BL3 L3 AL3
..and so on. With BL1 meaning BEFORE LEVEL 1 and so on.

Just wondering.... (tested with OOo 3.1)